<?php 
	function dmy($data){
		$novadata=substr($data,8,2)."/".substr($data,5,2)."/".substr($data,0,4);
		if (strlen($novadata) < 10){
			$novadata="";
		}
		return $novadata;
	}
	function ymd($data){
		$novadata=substr($data,6,4)."-".substr($data,3,2)."-".substr($data,0,2);
		if (strlen($novadata) < 10){
			$novadata="";
		}
		return $novadata;
	}
	
	function encripta($string){
		$criptografada = base64_encode($string);
		return $criptografada;
	}
	
	function decripta($string){
		$descriptografada=base64_decode($string);
		return $descriptografada;
	}
	
	
	function CompletaComZeros($tamMax, $strIn) {
		$strOut = "";
		$tamStr = strlen($strIn);
		for ($i = $tamStr ; $i < $tamMax ; $i++) $strOut .= "0";
		return $strOut . $strIn;
	}
	function RandomPass($numchar){  
		$letras = "a,b,c,d,e,f,g,h,i,j,k,m,n,o,p,q,r,s,t,u,v,w,x,y,z,1,2,3,4,5,6,7,8,9,0";  
   		$array = explode(",", $letras);  
   		shuffle($array);  
   		$senha = implode($array, "");  
   		return substr($senha, 0, $numchar);  
	}
	
	function anti_injection($sql) {
		// remove palavras que contenham sintaxe sql
		$sql = preg_replace(sql_regcase("/(from|select|insert|delete|where|drop table|show tables|#|\*|--|\\\\)/"),"",$sql);
		$sql = trim($sql);//limpa espaços vazio
		$sql = strip_tags($sql);//tira tags html e php
//		$sql = addslashes($sql);//Adiciona barras invertidas a uma string
		return $sql;
	}
	
	
	
	
?>